PROGRAM = par
CXX = g++
CXXFLAGS = -Wall -Wextra --std=c++17
LDFLAGS = -lm

$(PROGRAM): main.o par.hpp
	$(CXX) $(LDFLAGS) -o $@ $<

main.o: main.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

.PHONY: clean

clean:
	rm *.o $(PROGRAM)
